import { OnInit, OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { UxAppShellService } from '@eui/core';
import { BaseDynComponent } from '../../../core/base-dyn/base-dyn.component';
import { BcRootComponentInputs } from './bc-root.component.inputs';
import { FormService } from '../../../shared/services/form.service';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "../../core/form-child-container/form-child-container.component";
import * as i3 from "@eui/components";
export declare class BcRootComponent extends BaseDynComponent implements OnInit, OnDestroy {
    formState: any;
    formService: FormService;
    inputs: BcRootComponentInputs;
    uxAppShellService: UxAppShellService;
    router: Router;
    private formApiEventSubs;
    constructor(config: any);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setInitials(): void;
    subEvents(): void;
    onSubmit(): void;
    validate(): void;
    openModal(): void;
    onModalAccept(): void;
    sendPayload(): void;
    onSuccess(response: any): void;
    onError(response: any): void;
    static ɵfac: i0.ɵɵFactoryDef<BcRootComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<BcRootComponent, "ux-dyn-bc-root", never, {}, {}, never, never>;
}
export declare class UxDynBcRootComponentModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<UxDynBcRootComponentModule, [typeof BcRootComponent], [typeof i1.CommonModule, typeof i2.UxDynFormChildContainerComponentModule, typeof i3.UxModalComponentModule], [typeof BcRootComponent]>;
    static ɵinj: i0.ɵɵInjectorDef<UxDynBcRootComponentModule>;
}
